Bug 494421 - Privoxy fails all connections after suspend to ram
Privoxy fails all connections after suspend to ram
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: privoxy (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
: 525959 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 15:49 EDT by Martin Ebourne
Modified: 2011-06-27 10:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:09:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/NetworkManager/dispatcher.d/20-privoxy script (139 bytes, text/plain)
2009-06-11 14:45 EDT, Michal Jaegermann
no flags Details
/etc/pm/sleep.d/30privoxy script (294 bytes, text/plain)
2009-06-11 14:46 EDT, Michal Jaegermann
no flags Details

  None (edit)
Description Martin Ebourne 2009-04-06 15:49:29 EDT
Description of problem:
After suspend to RAM privoxy will no longer load any pages, all are rejected with host not found.

Version-Release number of selected component (if applicable):
glibc-2.9.90-12.x86_64
privoxy-3.0.10-3.fc11.x86_64 

How reproducible:
Every time

Steps to Reproduce:
1. Privoxy is installed and gnome is configured to it.
2. Suspend to RAM
3. Resume from RAM
4. Network manager reconnects to wireless
5. Use epiphany to view a web site

Actual results:
All websites fail in epiphany with privoxy saying host not found

Expected results:
Website should appear as normal.

Additional info:
This bug was introduced by a stable update to glibc in Fedora 10. I raised bug #478760 against glibc back when this happened but unfortunately it has been ignored.

I'm raising this bug now so it's clear that there's a regression with privoxy in Fedora 11 which makes it essentially useless on a laptop. It's possible that privoxy is doing something wrong which has been highlighted by the glibc change - I've not seen any other application fail host lookups after suspend.
Comment 1 Bug Zapper 2009-06-09 09:21:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Michal Jaegermann 2009-06-11 14:45:07 EDT
Created attachment 347451 [details]
/etc/NetworkManager/dispatcher.d/20-privoxy script

I bumped into the same issue with privoxy-3.0.10-1.fc10.  Restarting privoxy after waking up machine makes everything work but it quickly gets long in a tooth if one has do that manually.  Therefore I added a script in /etc/NetworkManager/dispatcher.d/, named 20-privoxy, which does that for me every time NM brings an interface up.  It is attached here.

To cover a situation when NM is not in use I also added 30privoxy in /etc/pm/sleep.d/.  Also attached.  That script by itself is not enough as sometimes NM "notices" connection only later or, for unfathomable reasons, decides to reconnect.  privoxy does get restarted "too many" times but this happens transparently so I do not care.  With these additions when a connection is up it is operational.

When adding "by hand" do not forget to make these scripts owned by root with 755 permissions.
Comment 3 Michal Jaegermann 2009-06-11 14:46:42 EDT
Created attachment 347452 [details]
/etc/pm/sleep.d/30privoxy script
Comment 4 Martin Ebourne 2009-06-11 16:09:08 EDT
I long ago resorted to a pm script for this which works most of the time. I'll try your NM script instead to see if that is better, thanks.
Comment 5 Michal Jaegermann 2009-06-11 17:24:29 EDT
> I long ago resorted to a pm script for this which works most of the time.

"most of the time" are here operative words.

> I'll try your NM script instead

Strictly speaking this is not "instead".  One or another, or both, may do the job depending on circumstances and timing.  At least WORKSFORME.
Comment 6 Chen Lei 2010-02-03 04:16:07 EST
I think only NM script are needed as a convention.
See package such as squid, sendmail.
Comment 7 Till Maas 2010-03-22 06:55:29 EDT
*** Bug 525959 has been marked as a duplicate of this bug. ***
Comment 8 Carl G. 2010-04-23 22:12:00 EDT
I'm also having this issue w. privoxy-3.0.16-2.fc13.x86_64
Comment 9 Bug Zapper 2010-04-27 09:31:47 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Michal Jaegermann 2010-04-27 11:31:13 EDT
(In reply to comment #9)
> This message is a reminder that Fedora 11 ...
See comment #8.
Comment 11 Carl G. 2010-04-27 11:48:38 EDT
It's a minor annoyance and i think it should be re-classified as high. In a "real" server environment, i don't see the utility of resolving this bug but i'm pretty sure i'm not the only one to run privoxy on my localhost.

Thanks.
Comment 12 Carl G. 2010-05-21 11:52:16 EDT
May 21 11:49:16.221 7f135bfff710 Info: Can not resolve www.google.ca: Temporary failure in name resolution
May 21 11:49:16.222 7f135bfff710 Crunch: DNS failure: http://www.google.ca
Comment 13 Martin Ebourne 2010-06-17 22:44:31 EDT
May be related to bug 442172 and bug 565880. I was not running nscd so have started that to see if it helps.
Comment 14 Bug Zapper 2011-06-02 14:10:08 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2011-06-27 10:09:26 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.